umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Ui_CodeGenSelectPage Class Reference

`#include <ui_codegenselectpage.h>`

Inheritance diagram for Ui_CodeGenSelectPage:

## Public Member Functions
void | setupUi (QWidget *CodeGenSelectPage)
void | retranslateUi (QWidget *CodeGenSelectPage)

## Public Attributes
QHBoxLayout * | horizontalLayout
QHBoxLayout * | hboxLayout
QVBoxLayout * | vboxLayout
QLabel * | ui_labelListAvailable
QListWidget * | ui_listAvailable
QVBoxLayout * | vboxLayout1
QSpacerItem * | spacerItem
QPushButton * | ui_addButton
QSpacerItem * | spacerItem1
QPushButton * | ui_removeButton
QSpacerItem * | spacerItem2
QVBoxLayout * | vboxLayout2
QLabel * | ui_labelListSelected
QListWidget * | ui_listSelected

## Member Function Documentation

## ◆ retranslateUi()

void Ui_CodeGenSelectPage::retranslateUi | ( | QWidget * | CodeGenSelectPage | ) |
| inline

## ◆ setupUi()

void Ui_CodeGenSelectPage::setupUi | ( | QWidget * | CodeGenSelectPage | ) |
| inline

## Member Data Documentation

## ◆ hboxLayout

QHBoxLayout* Ui_CodeGenSelectPage::hboxLayout

## ◆ horizontalLayout

QHBoxLayout* Ui_CodeGenSelectPage::horizontalLayout

## ◆ spacerItem

QSpacerItem* Ui_CodeGenSelectPage::spacerItem

## ◆ spacerItem1

QSpacerItem* Ui_CodeGenSelectPage::spacerItem1

## ◆ spacerItem2

QSpacerItem* Ui_CodeGenSelectPage::spacerItem2

## ◆ ui_addButton

QPushButton* Ui_CodeGenSelectPage::ui_addButton

## ◆ ui_labelListAvailable

QLabel* Ui_CodeGenSelectPage::ui_labelListAvailable

## ◆ ui_labelListSelected

QLabel* Ui_CodeGenSelectPage::ui_labelListSelected

## ◆ ui_listAvailable

QListWidget* Ui_CodeGenSelectPage::ui_listAvailable

## ◆ ui_listSelected

QListWidget* Ui_CodeGenSelectPage::ui_listSelected

## ◆ ui_removeButton

QPushButton* Ui_CodeGenSelectPage::ui_removeButton

## ◆ vboxLayout

QVBoxLayout* Ui_CodeGenSelectPage::vboxLayout

## ◆ vboxLayout1

QVBoxLayout* Ui_CodeGenSelectPage::vboxLayout1

## ◆ vboxLayout2

QVBoxLayout* Ui_CodeGenSelectPage::vboxLayout2

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_codegenselectpage.h